Bug 154393 - Close tab with mouse middlebutton
Summary: Close tab with mouse middlebutton
Status: RESOLVED FIXED
Alias: None
Product: konversation
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konversation Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-20 20:59 UTC by Jeremi Roivas
Modified: 2008-05-01 20:31 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremi Roivas 2007-12-20 20:59:52 UTC
Version:            (using KDE KDE 3.5.8)
Installed from:    Ubuntu Packages

LIke in firefox, close a tab with mouse midlebutton. Generally close puttons on tab wont work, because you can hit with mouse1 it by accidentalyy, and closing shortcut can be assigned, but not use any mouse buttons with it. Maybe enabling mouse buttons for quick key editor would fix this, or change konversation defaulting to middlebutton tab closing.
Comment 1 Eike Hein 2007-12-20 21:04:21 UTC
> Generally close puttons on tab wont work, because you can hit with mouse1 it by accidentalyy

Our close buttons, both the KTabWidget/KTabBar ones and our own code for the treelist, implement a delayed activation scheme to prevent accidental closing, i.e. the close button will only become functional once the pointer has been above it for a certain amount of time, indicated by saturation changes in its rendition.

Comment 2 Eike Hein 2007-12-20 21:05:47 UTC
Another thing that comes to mind, actually, is that KDE tab bars use middle mouse to drag tabs - I find the prospect of accidental closing during borked drag attempts somewhat scary, especially considering my own defective middle mouse button on my Logitech MX1000 :)
Comment 3 FiNeX 2007-12-21 10:03:33 UTC
Konqueror users are used to paste current link with MMB, Firefox users are used to close the tabs. 
At this time, change the behaviour of MMB on tabs is insane. At most it could be added an option to change this. But I'm not convinced.
Comment 4 Jeremi Roivas 2007-12-27 16:21:43 UTC
Well as I suggested, giving atleast a option to hotkey editor, that you can use mousebuttons as a hotkey, would then make users happier, who are used with firefox to open and close tabs. This way konversations would get more easy to use as this program dont need link pasteing when doing something with tabs, and the default close hotkey is 2 button way, and at the moment I find it easiest to rightklick and select close. If I could enable middlebutton to close tab on konversation, it would make my life just a bit easier than that.
Comment 5 Eike Hein 2008-05-01 20:31:36 UTC
SVN commit 803040 by hein:

Add option to close tabs using middle-mouse, akin to what
Konqueror offers in KDE 4. Patch done by JC Torres and me
(ViewTree part). Defaults to off.
BUG:154393



 M  +16 -0     ChangeLog  
 M  +3 -0      src/config/konversation.kcfg  
 M  +21 -0     src/tabs_preferencesui.ui  
 M  +7 -0      src/viewcontainer.cpp  
 M  +1 -0      src/viewcontainer.h  
 M  +23 -3     src/viewtree.cpp  
 M  +4 -0      src/viewtree.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=803040